public class Leitor implements Colaborador {
	String codigo;
	public Leitor(String codigo) {
		Mediator.getInstance().addColaborador(codigo, this);
		this.codigo = codigo;
	}
	
	public void executar(String t) {
		System.out.println("Dados lidos por "+codigo+": " + t);
	}
}
